<!--
  @description: 审核信息
  @Modifier: sunxinman
  @routerPath:
  @date: 2020/03/31-15:40
-->
<template>
  <div>
    <section class="title p0-16 clearfix">
      审核信息
    </section>
    <section class="main">
      <el-table
        ref="smallTable"
        v-loading="loading"
        :data="tableData"
        width="100%"
      >
        <!-- 审核时间  -->
        <el-table-column
          prop="tenderNo"
          align="center"
          fixed="left"
          label="审核时间"
          width="160"
        />
        <!-- 审核人 -->
        <el-table-column
          header-align="center"
          label="审核人"
          prop="packName"
          align="left"
          min-width="100"
        />
        <!-- 审核状态 -->
        <el-table-column
          header-align="center"
          prop="managerName"
          label="审核状态"
          align="center"
          min-width="150"
        />
        <!-- 审核意见 -->
        <el-table-column
          header-align="center"
          prop="managerName"
          label="审核意见"
          align="center"
          min-width="80"
        />
      </el-table>
    </section>
  </div>
</template>
<script>
/* 接口*/
import { listTenderProjectPages } from '@/api/bidding/biddingProject'// 项目列表 项目删除
/* 公用方法*/
import { filterObj } from '@/assets/js/utils'// 常用方法
/* 混合开发方法-参数字段*/
import { ListMixin } from '@/mixins/ListMixin'// 分页
export default {
  name: 'AuditInfo',
  mixins: [ListMixin],
  data() {
    return {
      loading: true,
      date: '',
      // 搜索
      searchForm: {
        buyersName: '', // 招标项目编号
        stageType: '', // 标段（包）名称
        tenderMethod: '', // 标段（包）状态
        tenderName: '', // 资格审查方式
        tenderNo: '', // 项目经理
        tenderType: ''// 业务部门
      },
      tableData: []
    }
  },
  created() {
    // 获取列表信息
    this.loadData()
  },
  methods: {
    // 获取数据
    loadData() {
      const params = this.getQueryParams()// 查询条件
      listTenderProjectPages(params).then(response => {
        this.loading = false
        this.tableData = response.data.records
        this.paginationData.total = response.data.total
      }).catch(() => {

      })
    },
    // 查询条件
    getQueryParams() {
      const param = Object.assign({}, this.searchForm)
      param.pageNo = this.paginationData.pageNo
      param.pageSize = this.paginationData.pageSize
      return filterObj(param)
    },
    // 搜索
    onSearch() {
      this.paginationData.pageNo = 1
      this.paginationData.pageSize = 10
      // 获取列表信息
      this.loadData()
    },
    // 重置
    resetForm(formName) {
      this.paginationData.pageNo = 1
      this.paginationData.pageSize = 10
      this.$refs[formName].resetFields()
      // 获取列表信息
      this.loadData()
    }
  }
}
</script>
<style lang="less" scoped>

</style>
